## org.hibernate.type.descriptor.sql
Class TinyIntTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.sql.TinyIntTypeDescriptor

All Implemented Interfaces:
  Serializable, SqlTypeDescriptor

    public class TinyIntTypeDescriptor

extends Object
implements SqlTypeDescriptor

Descriptor for `TINYINT` handling.

Note that `JDBC` states that TINYINT should be mapped to either byte or short, but points out that using byte can in fact lead to loss of data.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static TinyIntTypeDescriptor` `INSTANCE`

Constructor Summary
`TinyIntTypeDescriptor()`

Method Summary

`

`<X> ValueBinder<X>`

`

`getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)`

`

`<X> ValueExtractor<X>`

`

`getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)`

`int` `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final TinyIntTypeDescriptor INSTANCE

Constructor Detail

### TinyIntTypeDescriptor

    public TinyIntTypeDescriptor()

Method Detail

### getSqlType

    public int getSqlType()

  Description copied from interface: `SqlTypeDescriptor`
  Return the JDBC type-code for the column mapped by this type.

  Specified by:
    `getSqlType` in interface `SqlTypeDescriptor`
  Returns:
    The JDBC type-code

### getBinder

    public <X> ValueBinder<X> getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getBinder` in interface `SqlTypeDescriptor`

### getExtractor

    public <X> ValueExtractor<X> getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getExtractor` in interface `SqlTypeDescriptor`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.